﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using ConsoleApplication1;
namespace ConsoleDrapperDemo
{
    public class DrapperDemo
    {
        public static void Test()
        {
            var db = new DbHelp(Program.facotry, Program.connStr);

            //增/////////////////////////////////////////////////////////////////////
            var tabAdd = new tab1()
            {
                Name = "ggggg",
                Home = "jjjjjj"
            };
            var row = db.Add(tabAdd);
            //批量增
            var tabAddArrary = new tab1[] { 
            new tab1()
            {
                Name = "批量增1",
                Home = "批量增1"
            },
             new tab1()
            {
                Name = "批量增2",
                Home = "批量增2"
            }};
            row = db.Add(tabAddArrary);

            //改//////////////////////////////////////////////////////////////////////////
            var tabUpdate = new tab1()
            {
                Name = "fffffff",
                Home = "fffffff",
                ID = 5
            };
            row = db.Update(tabUpdate);
            //批量改
            var tabUpdateArrary = new tab1[] { 
            new tab1()
            {
                Name = "批量改1",
                Home = "批量改1",
                ID=10
            },
             new tab1()
            {
                Name = "批量改2",
                Home = "批量改2",
                ID=11
            }};
            row = db.Update(tabUpdateArrary);
            //条件修改
            //1 定义要修改的内容
            var dic = new Dictionary<string, object>();
            dic["Home"] = DateTime.Now.ToString() + ":修改了";
            //定义条件 这里使用了命名规则
            var condtion = new Dictionary<string, object>();
            condtion["InID"] = "1,3,5";
            row = db.Update<tab1>(dic, condtion);

            //删除///////////////////////////////////////////////////
            var tabDelete = new tab1() { ID = 10 };
            db.Remove(tabDelete);
            //条件删除
            var dicDelete = new Dictionary<string, object>();
            dicDelete["BeginID"] = 50;
            row = db.Remove<tab1>(dicDelete);

            //查询/////////////////////////////////////////////////////
            var dicQuery = new Dictionary<string, object>();
            dicQuery["EndID"] = 50;
            var qtab1 = db.Query<tab1>(dicQuery);

            //分页///////////////////////////////////////////////////////////
            int count;
            var dicPage = new Dictionary<string, object>();
            dicPage["BeginID"] = 50;
            dicPage["EndID"] = 10;
            var qtabPage = db.Query<tab1>(dicQuery, 3, 5, out count);

        }
    }

    [PrimaryKey("ID", autoIncrement = true)]
    public class tab1
    {
        public int ID { get; set; }
        public string Name { get; set; }
        public string Home { get; set; }
    }
}
